<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?> 
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}

	if( get_theme_mod('sec_bottomareaTmargin',true) ) {
			$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
		}
		if( get_theme_mod('sec_bottomareabottommargin',true) ) {
			$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
		}
?>		

	<?php
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}

	?>

<footer class="footer-area" id="footer">
		<!-- <div class="container-fluid"> -->
			<div class="fbox">
				<!-- <div class="s-footer col-lg-4 col-md-3 col-sm-6 col-xs-12 single-footer-1 ">	 -->
				<div class="row mr-0"> 	
					<div class="f-fbx1">
						<div class="s-footer single-footer-1 ">
							<div class="single-footer wow zoomIn" data-wow-duration="1s">	
								<?php if(is_active_sidebar('luzuk-footer1')): 
										dynamic_sidebar('luzuk-footer1');
									endif;
								?>	
							</div>
						</div> 
						
						<div class="s-footer  single-footer-2">
							<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
								<?php if(is_active_sidebar('luzuk-footer2')): 
									dynamic_sidebar('luzuk-footer2');
								endif;
								?>	
								<?php if( $footercopyright  ){ ?>
								<div class="bottom-area " style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
									<div class="row mr-0">
										<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
											<div class="footer-text">
												<?php if($footercopyright){ ?>
														<?php echo $footercopyright;?>
												<?php } ?>
											</div>
										</div>
										
									</div>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
					<div class="f-fbx2">
						<div class="f-fbx2inn1">
							<div class="s-footer single-footer-3 ">
								<div class="single-footer wow zoomIn"  data-wow-duration="1.4s" >
									<?php if(is_active_sidebar('luzuk-footer3')): 
										dynamic_sidebar('luzuk-footer3');
									endif;
									?>	
								</div>
							</div>
						</div>
						<div class="f-fbx2inn2">
							<div class="row">
								<div class="s-footer  single-footer-4 " >
									<div class="single-footer wow zoomIn" data-wow-duration="1.8s" >
										<?php if(is_active_sidebar('luzuk-footer4')): 
											dynamic_sidebar('luzuk-footer4');
										endif;
										?>	
									</div>
								</div>

								<div class="s-footer  single-footer-5" >
									<div class="single-footer wow zoomIn" data-wow-duration="2s" >
										<?php if(is_active_sidebar('luzuk-footer5')): 
											dynamic_sidebar('luzuk-footer5');
										endif;
										?>	
									</div>
								</div>
								<div class="s-footer  single-footer-6" >
									<div class="single-footer wow zoomIn" data-wow-duration="2.1s" >
										<?php if(is_active_sidebar('luzuk-footer6')): 
											dynamic_sidebar('luzuk-footer6');
										endif;
										?>	
									</div>
								</div>
							</div>
						</div>
					</div>
				</div> 
			</div>
			<div class="clearfix"></div>
		<!-- </div> -->

</footer>

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>

	<!-- <a id="back2Top" title="Back to top" href="#"> &#10148; </a> -->

	<div id="back2Top" title="Back to top" >
		<svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48"><defs><style>.cls-1{fill:none;stroke:#000;stroke-linecap:round;stroke-linejoin:round;stroke-width:2px}</style></defs><path class="cls-1" d="M20 21 37 4l5 5M42.25 9.17l-1.71 1.44-.72 2.13-1.71 1.44-.71 2.12-1.71 1.45-.72 2.12-1.71 1.45-.71 2.12-1.72 1.45-.72 2.12-1.7 1.45-.73 2.13-1.71 1.45-.72 2.13"/><path class="cls-1" d="m25 34-4-4a2.12 2.12 0 0 1 0-3h0v-5l-2-2-2 2L6 33l11 11 9-9zM12 32l6 6"/><path class="cls-1" d="M-554-78h680v680h-680z"/></svg>
	</div>

</body>
</html>
