<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box ');

$wp_customize->add_setting(
	'luzuk_contactus_emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Email', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_emailtitle',
	array(
		'settings'      => 'luzuk_contactus_emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Info@gmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_addrtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Adders', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_addrtitle',
	array(
		'settings'      => 'luzuk_contactus_addrtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Support 24/7', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phtitle',
	array(
		'settings'      => 'luzuk_contactus_phtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+ 1111-222-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnbgClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon BG Color', '#F9F4ED');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemtitleClr', 'luzuk_premium_contactus_section', 'Address Title , Email Title , Phone Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#747473');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#C69453');


backgroundManager($wp_customize, 'con_detailbx', 'luzuk_premium_contactus_section', $color='#fff', get_template_directory_uri().'/images/banner.jpg', 'color');

lzCustomLable($wp_customize, 'conpg_imgoly', 'luzuk_premium_contactus_section', 'Image Overlay & Opacity');

$wp_customize->add_setting(
    'conpg_imgOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'conpg_imgOpacity',
    array(
        'settings'      => 'conpg_imgOpacity',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'conpg_imgolyclr', 'luzuk_premium_contactus_section', 'Image Overlay Color ', '#000');


$wp_customize->add_setting(
	'bx1_subtlte',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'LET US WORK TOGETHER', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1_subtlte',
	array(
		'settings'      => 'bx1_subtlte',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Box Sub Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_dbxsubtitleClr', 'luzuk_premium_contactus_section', 'Box Sub Title Color', '#fff');



$wp_customize->add_setting(
	'bx1tlte',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch With Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1tlte',
	array(
		'settings'      => 'bx1tlte',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Box Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'contactuspg_bx1tleClr', 'luzuk_premium_contactus_section', 'Box Title Color', '#fff');

$wp_customize->add_setting(
	'bx1_txt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Alteration In Some Form, By Injected Humour, Or Randomised Words Which Do not Look Even Slightly Believab Hidden In The Middle Of Text.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1_txt',
	array(
		'settings'      => 'bx1_txt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Box Text', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'contactuspg_bxtxtClr', 'luzuk_premium_contactus_section', 'Box Text Color', '#fff');

lzCustomLable($wp_customize, 'contpg_btnclr', 'luzuk_premium_contactus_section' , 'Box Button ');

$wp_customize->add_setting(
    'conpgbttntext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'conpgbttntext',
    array(
        'settings'      => 'conpgbttntext',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'contpg_btntxtClr', 'luzuk_premium_contactus_section', 'Button Text Color', '#3E3024');

addColorPalatOption($wp_customize, 'contpg_btntxthvClr', 'luzuk_premium_contactus_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'contpg_btnbgClr', 'luzuk_premium_contactus_section', 'Button BG Color', '#fff');

addColorPalatOption($wp_customize, 'contpg_btnbghvClr', 'luzuk_premium_contactus_section', 'Button BG Hover Color', '#C69453');

addColorPalatOption($wp_customize, 'contpg_btncornClr', 'luzuk_premium_contactus_section', 'Button Corner Color', '#ccc');

$wp_customize->add_setting('conpgbttnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('conpgbttnlink',
    array(
        'settings'      => 'conpgbttnlink',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');

$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'GET A QUICK QUOTE', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxbgclr', 'luzuk_premium_contactus_section', 'Form Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelbgClr', 'luzuk_premium_contactus_section', 'Form Label BG Color', '#2E2E2D');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#f5f5f5');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#f5f5f5');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#c69453');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#c69453');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghvClr', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');


lzCustomLable($wp_customize, 'notice_btnclr', 'luzuk_premium_contactus_section' , 'Working Box ');

$wp_customize->add_setting(
	'wrk_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'WORKING OVER', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_title',
	array(
		'settings'      => 'wrk_title',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box Heading', 'luzuk Premium' )
	)
);

// box 2
$wp_customize->add_setting(
	'wrk_day1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Monday to Friday:', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_day1',
	array(
		'settings'      => 'wrk_day1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 1 Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'wrk_daytxt1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Start Time:', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_daytxt1',
	array(
		'settings'      => 'wrk_daytxt1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 1 Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'wrk_time1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '8:00 AM- 5:00 PM', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_time1',
	array(
		'settings'      => 'wrk_time1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 1 Time', 'luzuk Premium' )
	)
);

// box 2

$wp_customize->add_setting(
	'wrk_day2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Saturday', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_day2',
	array(
		'settings'      => 'wrk_day2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 2 Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'wrk_daytxt2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Start Time:', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_daytxt2',
	array(
		'settings'      => 'wrk_daytxt2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 2 Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'wrk_time2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '8:00 AM- 12:00 PM', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_time2',
	array(
		'settings'      => 'wrk_time2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 2 Time', 'luzuk Premium' )
	)
);

// Box 3

$wp_customize->add_setting(
	'wrk_day3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Sunday', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_day3',
	array(
		'settings'      => 'wrk_day3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 3 Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'wrk_daytxt3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Off Day', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'wrk_daytxt3',
	array(
		'settings'      => 'wrk_daytxt3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Work Box 3 Text', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'ntc_imagetitle', 'luzuk_premium_contactus_section' , 'Box Image 1');

$wp_customize->add_setting(
    'ntc_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'ntc_image',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'ntc_image',
            'description' => __('Recommended Image Size: 504X748', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'ntc_imagetitle2', 'luzuk_premium_contactus_section' , 'Box Image 2');

$wp_customize->add_setting(
    'ntc_image2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'ntc_image2',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'ntc_image2',
            'description' => __('Recommended Image Size: 509X430', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'contpgimgbx_btndisplay', 'luzuk_premium_contactus_section', 'Image Display Setting');

$wp_customize->add_setting( 'contpging_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'contpging_button_display', array( 'label' => 'Image Display', 'section' => 'luzuk_premium_contactus_section', 'settings' => 'contpging_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


lzCustomLable($wp_customize, 'contpg_wkbxclr', 'luzuk_premium_contactus_section' , 'Working Box Color');


addColorPalatOption($wp_customize, 'contpg_wkbxheadbgClr', 'luzuk_premium_contactus_section', 'Heading BG Color', '#ededed');

addColorPalatOption($wp_customize, 'contpg_wkbxheadbrdClr', 'luzuk_premium_contactus_section', 'Heading Border Color', '#343434');

addColorPalatOption($wp_customize, 'contpg_wkbxheadClr', 'luzuk_premium_contactus_section', 'Heading Color', '#343434');

addColorPalatOption($wp_customize, 'contpg_wkbxtitleClr', 'luzuk_premium_contactus_section', 'Title Color', '#000000');

addColorPalatOption($wp_customize, 'contpg_wkbxtxtClr', 'luzuk_premium_contactus_section', 'Text Color', '#777777');

addColorPalatOption($wp_customize, 'contpg_wkbxbrdClr', 'luzuk_premium_contactus_section', 'Box Border Color', '#000');

//field for addeding the map code

// $wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
// $wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

