<?php
if (get_theme_mod('banner_section_disable') != 'on') {
	?> 

    <?php 
        if( get_theme_mod('bannerTpadding',true) ) {
         $bannerTpadding = 'padding-top:'.esc_attr(get_theme_mod('bannerTpadding')).';';
       }
       if( get_theme_mod('bannerBpadding',true) ) {
         $bannerBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('bannerBpadding')).';';
       }

    ?> 
	<section id="banner-section" class="ht-section" style="<?php echo esc_attr($bannerTpadding); ?>" "<?php echo esc_attr($bannerBpadding); ?>">       
        <div class="ban_oly"></div>
        <div class="container">
          <?php
            $banner_page_id = get_theme_mod('banner_page');
            $banner_sub_title = get_theme_mod('banner_sub_title', 'Welcome To Carpenter');
            $banner_title = get_theme_mod('banner_title', 'Turning Wood Into Art');
            
            $banner_text = get_theme_mod('banner_text', 'There are many variations of passages of Lorem Ipsum ');
            $btn_text = get_theme_mod('btn_text', 'Read More');
            $bannerbtnlink = get_theme_mod('banner_btnlink', '#');
          ?>
            <div class="row mr-0">
                <div class="banner-box">
                    <?php if( get_theme_mod('bannsimg_button_display','show' ) == 'show') :?>
                    <div class="s_imgbx">                 
                        <li>
                            <div class="f_img smll_img">
                                <?php 
                                    $bann1_image = get_theme_mod('bann1_image');
                                    if(!empty($bann1_image)){
                                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($bann1_image).'" class="img-responsive secondry-bg-img" />';
                                    }else{
                                        echo '<img src="'.get_template_directory_uri().'/images/sl1.png" class="img-responsive" />';
                                    }
                                ?>  
                                <div class="smll_img_brd"></div>
                                <div class="smll_img_brd2"></div>                  
                            </div>  
                        </li>
         
                        <li>
                            <div class="s_img smll_img">
                                <?php 
                                    $bann2_image = get_theme_mod('bann2_image');
                                    if(!empty($bann2_image)){
                                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($bann2_image).'" class="img-responsive secondry-bg-img" />';
                                    }else{
                                        echo '<img src="'.get_template_directory_uri().'/images/sl2.png" class="img-responsive" />';
                                    }
                                ?>  
                                <div class="smll_img_brd"></div>  
                                <div class="smll_img_brd2"></div>              
                            </div>  
                        </li>
                        <li>
                            <div class="t_img smll_img">
                                <?php 
                                    $bann3_image = get_theme_mod('bann3_image');
                                    if(!empty($bann3_image)){
                                        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($bann3_image).'" class="img-responsive secondry-bg-img" />';
                                    }else{
                                        echo '<img src="'.get_template_directory_uri().'/images/sl3.png" class="img-responsive" />';
                                    }
                                ?>  
                                <div class="smll_img_brd"></div>
                                <div class="smll_img_brd2"></div>                  
                            </div> 
                        </li>
                    </div>
                    <?php endif ?>
                    <div class="banner_subtitle"><?php echo ($banner_sub_title); ?></div>
                    <div class="banner_title">
                        <?php echo ($banner_title); ?>  
                    </div>
             
                    <p><?php echo ($banner_text);  ?></p>
                    
                     <?php if($btn_text ){ ?>
                          <div class="bann-btn">
                              <a href="<?php echo ($bannerbtnlink);  ?>">
                                  <span><?php echo ($btn_text);  ?></span>
                              </a>
                          </div>
                      <?php } ?>
                      <div class="clearfix"></div>
                </div>
                <div class="bnn_fmbox">
                    <?php
                        $bann_maintitle = get_theme_mod('bann_maintitle', 'GET A QUICK QUOTE');
                        $bann_fm_shortcode = get_theme_mod('bann_fm_shortcode', '[Add Form shortcode]');
                    ?>
                    <div class="bann-form">
                        <?php if( $bann_maintitle  || $bann_fm_shortcode){ ?>
                        <div class="bann-forminn ">                                
                           
                            <h2><?php echo ($bann_maintitle);  ?> </h2> 
                             
                            <div class="bann_form ">
                                <?php echo do_shortcode($bann_fm_shortcode);?>
                            </div>                    
                            <div class="clearfix"></div>
                        </div>
                        <?php } ?>  
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php
} 
