<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" rel="stylesheet">
	
	
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />
	
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap" rel="stylesheet">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha384-3ceskX3iaEnIogmQchP8opvBy3Mi7Ce34nWjpBIwVTHfGYWQS9jwHDVRnpKKHJg7" crossorigin="anonymous"></script>

    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>

    <script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" type="text/javascript"  ></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/swiper.min.js" type="text/javascript"  ></script>
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.12.0.min.js"></script>
<script type="text/javascript">
		
var resizeElements;

$(document).ready(function() {

  // Set up common variables
  // --------------------------------------------------

  var bar = ".search_bar";
  var input = bar + " input[type='text']";
  var button = bar + " button[type='submit']";
  var dropdown = bar + " .search_dropdown";
  var dropdownLabel = dropdown + " > span";
  var dropdownList = dropdown + " ul";
  var dropdownListItems = dropdownList + " li";


  // Set up common functions
  // --------------------------------------------------

  resizeElements = function() {
    var barWidth = $(bar).outerWidth();

    var labelWidth = $(dropdownLabel).outerWidth();
    $(dropdown).width(labelWidth);

    var dropdownWidth = $(dropdown).outerWidth();
    var buttonWidth	= $(button).outerWidth();
    var inputWidth = barWidth - dropdownWidth - buttonWidth;
    var inputWidthPercent = inputWidth / barWidth * 100 + "%";

    $(input).css({ 'margin-left': dropdownWidth, 'width': inputWidthPercent });
  }

  function dropdownOn() {
    $(dropdownList).fadeIn(25);
    $(dropdown).addClass("active");
  }

  function dropdownOff() {
    $(dropdownList).fadeOut(25);
    $(dropdown).removeClass("active");
  }


  // Initialize initial resize of initial elements 
  // --------------------------------------------------
  resizeElements();


  // Toggle new dropdown menu on click
  // --------------------------------------------------

  $(dropdown).click(function(event) {
    if ($(dropdown).hasClass("active")) {
      dropdownOff();
    } else {
      dropdownOn();
    }

    event.stopPropagation();
    return false;
  });

  $("html").click(dropdownOff);


  // Activate new dropdown option and show tray if applicable
  // --------------------------------------------------

  $(dropdownListItems).click(function() {
    $(this).siblings("li.selected").removeClass("selected");
    $(this).addClass("selected");

    // Focus the input
    $(this).parents("form.search_bar:first").find("input[type=text]").focus();

    var labelText = $(this).text();
    $(dropdownLabel).text(labelText);

    resizeElements();

  });


  // Resize all elements when the window resizes
  // --------------------------------------------------

  $(window).resize(function() {
    resizeElements();
  });
});
	</script>
<script type="text/javascript">
		$(document).ready(function(){
			$("#formButton").click(function(){
				$("#form1").toggle();
			});
		});
</script>

	<?php wp_head(); ?>
</head>


<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'luzuk' ); ?></a> -->
	    <div id="loading-area"><div class="la-anim-10"></div></div>
		
		<header class="site-header header-transparent header header-seo">
		    <div class="top-bar-head">
	    	<?php									

					$twitter = get_theme_mod('head_twitt', '//twitter.com/');
					$instagram = get_theme_mod('head_insta', '//instagram.com/');
					$linkedin = get_theme_mod('head_lin', '//linkedin.com/');				
					$facebook = get_theme_mod('head_fb', '//facebook.com/');

					$emilid = get_theme_mod('emilid', 'Info1234@Gmail.Com');	
		      $headphno = get_theme_mod('headphno', '123-456-789');
		      $addrestxt = get_theme_mod('H_addrestxt', '3261 Anmoore Lorem Ipsum , NY 11230');    
					
				?>

			<?php if($emilid || $headphno || $addrestxt || $facebook || $instagram || $linkedin || $twitter){ ?>
			<div class="h-offer">
				<div class="container">
					<div class="row mr-0">
						<div class="h-offtxt">				
							<div class=" row mr-0">	
									<?php if(!empty( $emilid )){ ?>
									<div class=" Rqst-btn epa">			
										  <i class="fa fa-envelope"></i>
										  <a href="mailto:<?php echo $emilid;?>">
												  <span class="tooltiptext"><?php echo $emilid;?></span>
											</a>			
									</div>
									<?php }?>

									<?php if(!empty($headphno )){ ?>				       
				           <div class="Hbtn epa">
			               	<i class="fa fa-phone"></i>
			               	<a href="tel:<?php echo $headphno;?>">
                          <span class="tooltiptext"> <?php echo ($headphno); ?></span>
                      </a>
  						    </div>
  						    <?php }?>  

  						    <?php if(!empty($addrestxt )){ ?>
  					      <div class="addres epa">               
	               			<i class="fa fa-map-marker"></i>
	               			<p> <span class="tooltiptext"> <?php echo ($addrestxt); ?></span> </p>
  						    </div>
  						    <?php }?>  
							</div>
							<div class="clearfix"></div>
					</div>

						<?php if($facebook || $instagram || $linkedin || $twitter ){ ?>
						<div class="h_social">
								<?php if($facebook || $instagram || $linkedin || $twitter){ ?>
									<button type="button" class="share-icn"><i class="fa fa-share-alt" aria-hidden="true"></i> </button>
								<div class="soci-icn">	
									<ul>
									<?php if(!empty($twitter)){ ?>
										<li><a href="<?php echo $twitter ?>" title="twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
									<?php }?>

											
									<?php if(!empty($instagram)){ ?>
										<li><a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
									<?php }?>

									<?php if(!empty($linkedin)){ ?>
										<li><a href="<?php echo $linkedin ?>" title="Linkedin" class="site-button sharp" target="_blank"><i class="fa fa-linkedin"></i></a></li>
									<?php }?>

									<?php if(!empty($facebook)){ ?>
										<li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
									<?php }?>

									<li class="share-button"><a href="#" class="site-button sharp"><i class="fa fa-share-alt"></i></a></li>
							 	</ul>
							</div>
							<?php }?>
							 	<div class="clearfix"></div>
						</div>
						<?php }?>
					</div>
				</div>
			</div>
			<?php }?>
			<div class="container">
				<div class="mid-head">
					<div class="row mr-0">
						<div class="logo">				
		    				<?php 
		    				
		    					if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
		    						$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
		    					}
		    				?>
		    				<!-- website logo -->
						    <div class="logo-header mostion">
										<?php 
										if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
											the_custom_logo();
										else : 
										if ( is_front_page() ) : ?>
											<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
												<?php else : ?>
											<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif; ?>
										<?php endif; ?>
						    </div> 
								<?php if( get_theme_mod('head_tagline_display','show' ) == 'show') :?>	
								<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p> 
								<?php endif ?>  

									<!-- nav toggle button -->
								<div class="resp_header_logo">
									<?php 
									if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
										the_custom_logo();
										else : 
									if ( is_front_page() ) : ?>
								    <h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php else : ?>
								    <p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
										<!-- <p class="ht-site-description"><a href="<?php //echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php //bloginfo( 'description' ); ?></a></p> -->
								    <?php endif; ?>
								</div>
						</div>
						<div class="header-midd ">			
								<div class="tp-head ">
					        	<div class=" head-menubx">
					        			<!-- <div class="row mr-0"> -->
					            			<div class="head-menu ">
					            					<div class="site-navigation ">
					    				              <div class="nav-menus">                 
																				<a href="#" class="js-nav-toggle">
																						<span></span>
																				</a>
																    		<div class="nav-wrapper">
																						<nav role="navigation">
																								<div class="nav-toggle">
																										<span class="nav-back"></span>
																										<span class="nav-title">Menu</span>
																										<span class="nav-close"></span>
																								</div>
																								<?php
						                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
						                                            wp_nav_menu ( array(
						                                                'menu_class' => 'mainm ht-clearfix',
						                                                'container'=> 'ul',
						                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
						                                                'theme_location' => 'primary',  
						                                            )); 
						                                        } else {
						                                            wp_nav_menu ( array(
						                                                'menu_class' => 'mainm ht-clearfix',
						                                                'container'=> 'ul',
						                                                'theme_location' => 'primary',  
						                                            )); 
						                                        }
						                                    ?>
																						</nav>
																				</div>
																		</div>
					  				                <nav class="navigation">
					  				                    <div class="overlaybg"></div><!--  /.overlaybg -->
					  				                            <!-- Main Menu -->
								                        <div class="menu-wrapper">
								                            <div class="menu-content">
						                                    <?php
						                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
						                                            wp_nav_menu ( array(
						                                                'menu_class' => 'mainmenu ht-clearfix',
						                                                'container'=> 'ul',
						                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
						                                                'theme_location' => 'primary',  
						                                            )); 
						                                        } else {
						                                            wp_nav_menu ( array(
						                                                'menu_class' => 'mainmenu ht-clearfix',
						                                                'container'=> 'ul',
						                                                'theme_location' => 'primary',  
						                                            )); 
						                                        }
						                                    ?>
								                            </div> <!-- /.hours-content-->
												            		<div class="clearfix"></div>
								                        </div><!-- /.menu-wrapper --> 
								                		</nav>
					            				      <div class="clearfix"></div>
					            				      </div><!--  /.site-navigation -->
					            				</div>
					            				<div class="clearfix"></div>
					        				<!-- </div> -->
					        	</div>
					    	</div>
			    </div>
					<div class="fmbx">						
							<!-- <div class="s-frm">
									<form class="search_bar huge">	
										<?php get_search_form(); ?>
									</form>
							</div> -->
							<div class="top-form">
									<button type="button" id="formButton" class="pull-right"></button>		
									<form id="form1">					
										<?php get_search_form(); ?>
									</form>
						  </div>
					</div>
				</div>
			</div>
		</div>
	
    			<div class="clearfix"></div>
		    </div>			
			<div class="clearfix"></div>
		</header>
		<div class="clearfix"></div>
	</div>
<script type="text/javascript">
    $( document ).ready(function() {
     $( "header .share-icn" ).click(function(e) {
         $('header .soci-icn').not($(this).next( "header .soci-icn" )).each(function(){
            $(this).removeClass("active");
         });
     
            $(this).next( "header .soci-icn" ).toggleClass( "active" );
    });   
});
</script>