<?php
if(get_theme_mod('about_area_disable') != 'on' ){ ?>
<?php 
	if( get_theme_mod('about_areaTpadding',true) ) {
		$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
	}
	if( get_theme_mod('about_areaBpadding',true) ) {
		$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
	}
?>			
<div class="about-area" id="about">
	<div class="container">
		<div class="about-area-bx">
			<div class="row mr-0">
		<?php
			$about_page_id = get_theme_mod('about_page');
			$about_subHeading = get_theme_mod('about_subHeading', 'About Us');
			$about_Heading = get_theme_mod('about_Heading', 'Providing High Quality Carpenter Solution');
			$title = get_theme_mod('title', 'Our operations around the world and across various Carpenter sectors.');
			$abouttext = get_theme_mod('about_text', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which do not look even slightly believable.');		
			$nbxlist = get_theme_mod('nbxlist', '<li>Our solutions are tested.</li> <li>Leverage experience in shipping.</li> <li>Proven, and best-in class</li> ');

			$name = get_theme_mod('name', 'Alen Folker');
			$degination = get_theme_mod('degination', 'CEO, Carpento');
			
		?>
				<div class="col-lg-5 col-md-12 imgbx pl-0">
					<div class="aboutarea-img">
						<?php 
							$about_image = get_theme_mod('about_image');
							if(!empty($about_image)){
								echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
							}else{
								echo '<img src="'.get_template_directory_uri().'/images/abotimg1.jpg" class="img-responsive" />';
							}
						?>	
						<div class="abtimg-brd"></div>				
					</div>	
					<div class="clearfix"></div>	
				</div>
				<div class="col-lg-7 col-md-12 abt-rbx " data-wow-duration="1s">
					<div class="abtsection-title">
						<?php if($about_subHeading ){ ?>	
						<h3><?php echo ($about_subHeading);  ?>
							<div class="abtbrd1"></div>
							<div class="abtbrd2"></div>
						</h3>
						<?php }?>
						<h2><?php echo ($about_Heading);  ?></h2>
					</div> 
					<div class="section-subtext">
						<h4><?php echo ($title);  ?></h4>
						<p><?php echo ($abouttext);  ?></p>
					</div>
					<div class="row mr-0">
						<?php if($name || $degination ){ ?>	
						<div class="col-lg-6 col-md-6 pl-0">
							<div class="detials">
								<div class="row ">
									<div class="prfle_img">
										<?php 
											$about_profile_image = get_theme_mod('about_profile_image');
											if(!empty($about_profile_image)){
												echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_profile_image).'" class="img-responsive secondry-bg-img" />';
											}else{
												echo '<img src="'.get_template_directory_uri().'/images/abtprfil.png" class="img-responsive" />';
											}
										?>									
									</div>
									<div class="prfle_detail pl-0">
										<h5><?php echo ($name);  ?></h5>
										<h6><?php echo ($degination);  ?></h6>
									</div>
								</div>
							</div>
						</div>
						<?php }?>
						<div class="col-lg-6 col-md-6">
							<div class="nbox">
								<?php echo ($nbxlist);  ?>
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
					<div class="btnbx">
						<?php
							$abtbtn_text = get_theme_mod('abtbtn_text', 'Read More');
							$abtbtnlink = get_theme_mod('abtbtnlink', '#');
						?>
						<div class="abt-btn">
							<?php if($abtbtn_text ){ ?>	
							<a href="<?php echo ($abtbtnlink);  ?>" >
	                        	<span><?php echo($abtbtn_text); ?> </span>
							</a>
							<?php }?>
						</div>	
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
</div>

<?php }  