<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>

<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;"<?php endif ?> >
    <div class="overlay1"></div> 
    <div class="container">
        <!-- <?php the_title( '<h1 class="ht-main-title ">', '</h1>' ); ?> -->
        <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
        <div class="breadcrumbbox ">
            <div class='button'>
             <?php luzuk_lite_the_breadcrumb(); ?> </div>
            <div class="clearfix"></div>
        </div>
        <?php endif ?>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</header>

<main id="innerpage-box" >
	<!-- <div class="container"> -->
		<?php 
			$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'GET A QUICK QUOTE');
			$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
			//$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
		?>
		<?php 
			$bx1_subtlte = get_theme_mod('bx1_subtlte', 'LET US WORK TOGETHER');	
			$bx1_tlte = get_theme_mod('bx1tlte', 'Get In Touch With Us');	
			$bx1_txt = get_theme_mod('bx1_txt', 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Alteration In Some Form, By Injected Humour, Or Randomised Words Which Do not Look Even Slightly Believab Hidden In The Middle Of Text.');	
			$phtitle = get_theme_mod('luzuk_contactus_phtitle', 'Support 24/7');	
			$phone = get_theme_mod('luzuk_contactus_phone', '+ 1111-222-333');	
			$emailtitle = get_theme_mod('luzuk_contactus_emailtitle', 'Email');
			$email = get_theme_mod('luzuk_contactus_email', 'Info@gmail.com');
			$addrtitle = get_theme_mod('luzuk_contactus_addrtitle', 'Our Adders');
			$address = get_theme_mod('luzuk_contactus_address', 'Add Address here..');

		?>	
	<div class="contact-address-area ">
		<div class="container">
			<div class="conbx ">		
				<div class="row mr-0">	
					<div class="col-lg-4 col-md-6">
						<?php if(  $emailtitle || $email  ){ ?>
						<div class="cntpgbx ">
							<div class="row mr-0">
				   				<div class="col-lg-3 col-md-3 col-sm-3 col-3 ">
							   		<div class="cntpgicn icnbx1">
							   			<svg xmlns="http://www.w3.org/2000/svg" class="bi bi-envelope-paper" viewBox="0 0 16 16">
										    <path d="M4 0a2 2 0 0 0-2 2v1.133l-.941.502A2 2 0 0 0 0 5.4V14a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V5.4a2 2 0 0 0-1.059-1.765L14 3.133V2a2 2 0 0 0-2-2H4Zm10 4.267.47.25A1 1 0 0 1 15 5.4v.817l-1 .6v-2.55Zm-1 3.15-3.75 2.25L8 8.917l-1.25.75L3 7.417V2a1 1 0 0 1 1-1h8a1 1 0 0 1 1 1v5.417Zm-11-.6-1-.6V5.4a1 1 0 0 1 .53-.882L2 4.267v2.55Zm13 .566v5.734l-4.778-2.867L15 7.383Zm-.035 6.88A1 1 0 0 1 14 15H2a1 1 0 0 1-.965-.738L8 10.083l6.965 4.18ZM1 13.116V7.383l4.778 2.867L1 13.117Z"></path>
										</svg>
							   		</div>
							   	</div>
							   	<div class="col-lg-9 col-md-9 col-sm-9 col-9 ">
							   		<div class=" cntpgtxt">	
							   			<h4><?php echo $emailtitle;?></h4>
							   			<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
							   		</div>
						   		</div>
						   		<div class="clearfix"></div>
						   	</div>
					    </div>
						<?php } ?>
					</div>	

					<div class="col-lg-4 col-md-6 ">
		    			<?php if( $addrtitle || $address ){ ?>
						<div class="cntpgbx ">
							<div class="row mr-0">
				   				<div class="col-lg-3 col-md-3 col-sm-3 col-3 ">
							   		<div class="cntpgicn icnbx2">								   			
							   			<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <path d="M12 6H12.01M9 20L3 17V4L5 5M9 20L15 17M9 20V14M15 17L21 20V7L19 6M15 17V14M15 6.2C15 7.96731 13.5 9.4 12 11C10.5 9.4 9 7.96731 9 6.2C9 4.43269 10.3431 3 12 3C13.6569 3 15 4.43269 15 6.2Z" stroke="#000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path> </g></svg>
							   		</div>
							   	</div>
							   	<div class="col-lg-9 col-md-9 col-sm-9 col-9 ">
							   		<div class="cntpgtxt">
							   			<h4><?php echo $addrtitle;?></h4>
							   			<p><?php echo $address;?></p>
							   		</div>
							   	</div>
						   	<div class="clearfix"></div>
						   </div>
					    </div>
						<?php } ?>
					</div>

					<div class="col-lg-4 col-md-6">
						<?php if( $phtitle || $phone ){ ?>
				   		<div class="cntpgbx  ">		
				   			<div class="row mr-0">
				   				<div class="col-lg-3 col-md-3 col-sm-3 col-3 ">
						   			<div class="cntpgicn icnbx3">
					   					<svg viewBox="0 -0.5 17 17" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" class="si-glyph si-glyph-customer-support" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <title>715</title> <defs> </defs> <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"> <g transform="translate(1.000000, 0.000000)" fill="#434343"> <g transform="translate(0.000000, 2.000000)"> <path d="M8.005,10.094 C6.563,10.094 5.098,9.238 4.243,8.105 C0.141,8.105 0.017,13.965 0.017,13.965 L15.992,13.965 C15.992,13.965 16.314,8.079 11.701,8.079 C10.847,9.226 9.447,10.094 8.005,10.094 Z" class="si-glyph-fill"> </path> <path d="M11.441,3.069 C11.441,4.755 9.902,7.979 8.002,7.979 C6.105,7.979 4.565,4.754 4.565,3.069 C4.565,1.384 6.104,0.016 8.002,0.016 C9.902,0.017 11.441,1.385 11.441,3.069 L11.441,3.069 Z" class="si-glyph-fill"> </path> </g> <path d="M12.975,3.614 C12.975,3.298 12.535,3.043 11.989,3.041 L11.989,2.39 C11.989,2.293 12.026,0.022 8.014,0.022 C4.004,0.022 4.041,2.293 4.041,2.39 L4.041,3.064 C4.031,3.064 4.023,3.061 4.014,3.061 C3.471,3.061 3.034,3.312 3.034,3.623 L3.034,6.377 C3.034,6.686 3.472,6.938 4.014,6.938 C4.556,6.938 4.996,6.686 4.996,6.377 L4.996,3.623 C4.996,3.58 4.969,3.541 4.953,3.501 L4.953,2.75 C4.953,2.681 4.665,0.967 8.014,0.967 C11.364,0.967 11.016,2.681 11.016,2.75 L11.016,3.541 C11.01,3.566 10.991,3.588 10.991,3.614 L10.991,6.431 C10.991,6.748 11.434,7.005 11.983,7.005 C11.995,7.005 12.004,7.001 12.016,7.001 L12.016,8.03 L11.032,8.03 L11.032,9 L12.985,9 L12.975,3.614 L12.975,3.614 Z" class="si-glyph-fill"> </path> </g> </g> </g></svg> 
						   			</div>	
						   		</div>
						   		<div class="col-lg-9 col-md-9 col-sm-9 col-9">
							   		<div class=" cntpgtxt">
							   			<h4><?php echo $phtitle;?></h4>
							   			<a class="" href="tel:<?php echo $phone;?>"><p><?php echo $phone;?></p></a>
						   			</div>
						   		</div>
						   		<div class="clearfix"></div>
						   	</div>
					   	</div>
						<?php } ?>	
					</div>

					<div class="clearfix"></div>
				</div>
			</div>
		</div>
		<?php if( $bx1_subtlte || $bx1_tlte || $bx1_txt || $conpgbttn_text || $shortcodeLbl || $shortcode ){ ?>
		<div class="fmbx ">
			<div class="fmbxoly"></div>
			<div class="container">
				<div class="row mr-0">	
					<div class="col-lg-6 col-md-6 col-sm-12 ">
						<div class="cntlhsbx">
							<div class="txtbx">
								<?php if( $bx1_subtlte ){ ?>
								<div class="bxsubtitle "><?php echo $bx1_subtlte;?></div>
								<?php }?>
								<div class="bxtitle inner-area-title"><?php echo $bx1_tlte;?></div>
								<div class="bxtxt"><?php echo $bx1_txt;?></div>
								<?php
									$conpgbttn_text = get_theme_mod('conpgbttntext', 'Read More');
									$conpgbttnlink = get_theme_mod('conpgbttnlink', '#');
								?>	
								<?php if($conpgbttn_text ){ ?>	
								<div class="conpgbttn">								
									<a href="<?php echo ($conpgbttnlink);  ?>" >
			                        	<span><?php echo($conpgbttn_text); ?> </span>
									</a>							
								</div>
								<?php }?>
						    </div>	   
						</div>
					</div>
					<div class="col-lg-6 col-md-6 col-sm-12 ">
						<?php if( $shortcodeLbl || $shortcode ){ ?>
						<div class="contforminn">
							<div id="ht-contactus-wrap">
								
								<div class="contact-form">
									<?php if( $shortcodeLbl ){ ?>
									<div class="conformbx">
							         	<div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
					     			</div>
					     			<?php } ?>	
					          		<div class="ctform"><?php echo do_shortcode($shortcode);?></div>		
									<div class="clearfix"></div>					
								</div>
							</div>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
		<div class="container ">			
			<div class="ntc_wrbx">
			<?php
				$wrk_title = get_theme_mod('wrk_title', 'WORKING OVER');

				$wrk_day1 = get_theme_mod('wrk_day1', 'Monday to Friday: ');
				$wrk_daytxt1 = get_theme_mod('wrk_daytxt1', 'Start Time:  ');
				$wrk_time1 = get_theme_mod('wrk_time1', '8:00 AM- 5:00 PM');

				$wrk_day2 = get_theme_mod('wrk_day2', 'Saturday:');
				$wrk_daytxt2 = get_theme_mod('wrk_daytxt2', 'Start Time:');
				$wrk_time2 = get_theme_mod('wrk_time2', '8:00 AM- 12:00 PM');

				$wrk_day3 = get_theme_mod('wrk_day3', 'Sunday: ');
				$wrk_daytxt3 = get_theme_mod('wrk_daytxt3', 'Off Day');
			?>
				<div class="workbx">
					<div class="row">	

						<div class="wkbxinn">
							<?php if( $wrk_title ){ ?>
							<div class="tbox">
								<h5>
									<?php echo $wrk_title;?>
									<div class="tbrd1"></div>
									<div class="tbrd2"></div>
								</h5>
							</div>
							<?php } ?>

							<?php if( $wrk_day1 || $wrk_daytxt1 || $wrk_time1 ){ ?>
							<div class="wbx">
								<div class="day"><?php echo $wrk_day1;?></div>
								<div class="daytxt"><?php echo $wrk_daytxt1;?></div>	
								<div class="time"><?php echo $wrk_time1;?></div>	
								<div class="wbxbrd"></div>							
							</div>
							<?php } ?>
							<div class="clearfix"></div>

							<?php if( $wrk_day2 || $wrk_daytxt2 || $wrk_time2 ){ ?>
							<div class="wbx">
								<div class="day"><?php echo $wrk_day2;?></div>
								<div class="daytxt"><?php echo $wrk_daytxt2;?></div>	
								<div class="time"><?php echo $wrk_time2;?></div>
								<div class="wbxbrd"></div>								
							</div>
							<?php } ?>
							<div class="clearfix"></div>

							<?php if( $wrk_day3 || $wrk_daytxt3 ){ ?>
							<div class="wbx">
								<div class="day"><?php echo $wrk_day3;?></div>
								<div class="daytxt"><?php echo $wrk_daytxt3;?></div>					
							</div>
							<?php } ?>
						</div>

						<?php if( get_theme_mod('contpging_button_display','show' ) == 'show') :?>
						<div class="ntc_img">
							<?php 
								$ntc_image = get_theme_mod('ntc_image');
								if(!empty($ntc_image)){
									echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($ntc_image).'" class="img-responsive secondry-bg-img" />';
								}else{
									echo '<img src="'.get_template_directory_uri().'/images/conpg.png" class="img-responsive" />';
								}
							?>								
						</div>
						 
						<div class="ntc_img2">
							<?php 
								$ntc_image2 = get_theme_mod('ntc_image2');
								if(!empty($ntc_image2)){
									echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($ntc_image2).'" class="img-responsive secondry-bg-img" />';
								}else{
									echo '<img src="'.get_template_directory_uri().'/images/contpgrhs.png" class="img-responsive" />';
								}
							?>								
						</div>
						 <?php endif ?>

					</div>
				</div>
			</div>
			<div class="clearfix"></div>
		</div>
	</div> 
		<!-- <div class="contact-mapbox ">
			</?php echo $iframe; ?>
		</div> -->
	<div class="clearfix"></div>
</main>
<?php  get_template_part('template-parts/section','newsletter'); ?>
<?php get_footer(); ?>